error "uncaught exception", "no such file or directory" creating persistent usb key

Bug #826716 reported by Carla Sella
14
This bug affects 3 people
Affects Status Importance Assigned to Milestone
usb-creator (Ubuntu)
Fix Released
High
Colin Watson

Bug Description

When creating a usb persistent key with usb-creator-gtk, after the copying of files and install of bootloader when it is creating persistence file, I get the error in image-1.

ProblemType: Bug
DistroRelease: Ubuntu 11.10
Package: usb-creator-gtk 0.2.31.1
ProcVersionSignature: Ubuntu 3.0.0-8.11-generic 3.0.1
Uname: Linux 3.0.0-8-generic x86_64
Architecture: amd64
Date: Mon Aug 15 14:24:26 2011
ExecutablePath: /usr/bin/usb-creator-gtk
InstallationMedia: Ubuntu 9.10 "Karmic Koala" - Release amd64 (20091027)
InterpreterPath: /usr/bin/python2.7
PackageArchitecture: all
ProcEnviron:
 PATH=(custom, no user)
 LANG=en_US.UTF-8
 SHELL=/bin/bash
SourcePackage: usb-creator
UpgradeStatus: Upgraded to oneiric on 2011-08-14 (0 days ago)
---
Architecture: amd64
DistroRelease: Ubuntu 11.10
InstallationMedia: Ubuntu 9.10 "Karmic Koala" - Release amd64 (20091027)
Package: usb-creator (not installed)
ProcEnviron:
 PATH=(custom, no user)
 LANG=en_US.UTF-8
 SHELL=/bin/bash
ProcVersionSignature: Ubuntu 3.0.0-9.14-generic 3.0.3
Tags: oneiric running-unity
Uname: Linux 3.0.0-9-generic x86_64
UpgradeStatus: Upgraded to oneiric on 2011-08-27 (3 days ago)
UserGroups: adm admin cdrom dialout lpadmin plugdev sambashare video

Revision history for this message
Carla Sella (carla-sella) wrote :
description: updated
Changed in usb-creator (Ubuntu):
status: New → Confirmed
Revision history for this message
Carla Sella (carla-sella) wrote :

It is still happening to me with Oneiric Beta 1, same exact error.

tags: added: apport-collected
description: updated
Revision history for this message
Carla Sella (carla-sella) wrote : UDisksDump.txt

apport information

Revision history for this message
Carla Sella (carla-sella) wrote : UsbCreatorLog.txt

apport information

Revision history for this message
Carla Sella (carla-sella) wrote : UsbDevices.txt

apport information

Revision history for this message
Brian Murray (brian-murray) wrote :

From UsbCreateorLog.txt:

usb-creator 2011-08-15 14:22:09,634 (DEBUG) install.py:309: create_persistence
usb-creator 2011-08-15 14:22:09,638 (DEBUG) misc.py:129: ['dd', 'if=/dev/zero', 'bs=1M', 'of=/media/F258-11E6/casper-rw', 'count=1024']
usb-creator 2011-08-15 14:22:46,993 (DEBUG) misc.py:129: ['mkfs.ext3', '-F', '/media/F258-11E6/casper-rw']
usb-creator 2011-08-15 14:22:47,059 (ERROR) install.py:147: Exception raised:
Traceback (most recent call last):
  File "/usr/lib/python2.7/dist-packages/usbcreator/install.py", line 143, in run
    self.install()
  File "/usr/lib/python2.7/dist-packages/usbcreator/install.py", line 583, in install
    self.create_persistence()
  File "/usr/lib/python2.7/dist-packages/usbcreator/install.py", line 330, in create_persistence
    popen(mkfs_cmd)
  File "/usr/lib/python2.7/dist-packages/usbcreator/misc.py", line 139, in popen
    startupinfo=startupinfo)
  File "/usr/lib/python2.7/subprocess.py", line 679, in __init__
    errread, errwrite)
  File "/usr/lib/python2.7/subprocess.py", line 1239, in _execute_child
    raise child_exception
OSError: [Errno 2] No such file or directory
usb-creator 2011-08-15 14:22:47,075 (CRITICAL) install.py:92: An uncaught exception was raised:
[Errno 2] No such file or directory
usb-creator 2011-08-15 14:22:47,078 (ERROR) frontend.py:677: Installation failed.
Traceback (most recent call last):
  File "/usr/lib/python2.7/dist-packages/usbcreator/install.py", line 143, in run
    self.install()
  File "/usr/lib/python2.7/dist-packages/usbcreator/install.py", line 583, in install
    self.create_persistence()
  File "/usr/lib/python2.7/dist-packages/usbcreator/install.py", line 330, in create_persistence
    popen(mkfs_cmd)
  File "/usr/lib/python2.7/dist-packages/usbcreator/misc.py", line 139, in popen
    startupinfo=startupinfo)
  File "/usr/lib/python2.7/subprocess.py", line 679, in __init__
    errread, errwrite)
  File "/usr/lib/python2.7/subprocess.py", line 1239, in _execute_child
    raise child_exception
OSError: [Errno 2] No such file or directory

Changed in usb-creator (Ubuntu):
importance: Undecided → High
status: Confirmed → Triaged
tags: added: iso-testing
Colin Watson (cjwatson)
Changed in usb-creator (Ubuntu):
assignee: nobody → Colin Watson (cjwatson)
milestone: none → ubuntu-11.10-beta-2
Colin Watson (cjwatson)
Changed in usb-creator (Ubuntu):
status: Triaged → Fix Committed
Revision history for this message
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package usb-creator - 0.2.33

---------------
usb-creator (0.2.33) oneiric; urgency=low

  * Ensure that at least /bin, /sbin, /usr/bin, and /usr/sbin are on PATH
    (LP: #826716).
  * Fix bad method call in UDisksBackend.format_failed (LP: #806611).
 -- Colin Watson <email address hidden> Wed, 07 Sep 2011 17:09:41 +0100

Changed in usb-creator (Ubuntu):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  
Everyone can see this information.

Duplicates of this bug

Other bug subscribers